% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS
name = ['MAXvel_',sprintf('%04g',day),'_A'];

disp(' ')
disp(' ')
disp(['  - printing file "',name,'"'])

CAXESS = [18 28];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[im,jm] = size(h); kb=25;

u(u>1e3) = nan;
v(v>1e3) = nan;

T   =  squeeze(t(depth,:,:));
S   =  squeeze(s(depth,:,:));
uu  =  squeeze(nanmax(u,[],1));
vv  =  squeeze(nanmax(v,[],1));

uu(~mask_U) = nan;
vv(~mask_V) = nan;

ubt =  squeeze(ub(:,:));
vbt =  squeeze(vb(:,:));
ETA =  squeeze(eta(:,:));
%plot(lon(sec,:),lat(sec,:),'.')
f=find(T==0); T(f)=NaN; 

[X,Y,U] = griddata(lonu,latu,uu,lon,lat);
[X,Y,V] = griddata(lonv,latv,vv,lon,lat);

%       Girando os vetores para plotar no GMT
       
       for j=1:jm
       for i=1:im
        UU(i,j)=U(i,j)*cos(TETA(i,j))-V(i,j)*sin(TETA(i,j));
        VV(i,j)=U(i,j)*sin(TETA(i,j))+V(i,j)*cos(TETA(i,j));
       end
       end
[X,Y,UBT] = griddata(lonu,latu,ubt,lon,lat);
[X,Y,VBT] = griddata(lonv,latv,vbt,lon,lat);

       for j=1:jm
       for i=1:im
        UBTg(i,j)=UBT(i,j)*cos(TETA(i,j))-VBT(i,j)*sin(TETA(i,j));
        VBTg(i,j)=UBT(i,j)*sin(TETA(i,j))+VBT(i,j)*cos(TETA(i,j));
       end
       end

U=UU; V=VV;
clear UU VV;

U = inpaint_nans(U,5);
V = inpaint_nans(V,5);
UBTg = inpaint_nans(UBTg,5);
VBTg = inpaint_nans(VBTg,5);

UBC = (U./abs(U)).*(abs(U) - abs(UBTg));
VBC = (V./abs(V)).*(abs(V) - abs(VBTg));
% -------------------------------------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Mascarando valores de T menores que 16  e de eta menores -0.3 
%  T(find(T<=16))=16;
ETA(find(ETA<=-0.3))=-0.3;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
a=zeros(size(lon));a(1:dx:end,1:dy:end)=1;aux=find(V==0);
a(aux)=0;
a(~mask)=0;
a=logical(a);

% simple coastline
%%%-----------------------------------------------------------------------------

lon_LIM = [min(lon(:)) max(lon(:))];  
lat_LIM = [min(lat(:)) max(lat(:))];
T(~mask) = nan;


K = find(taux>100);
taux(~mask_U) = nan;
K = find(tauy>100);
tauy(~mask_V) = nan;

[X,Y,TAUX] = griddata(lonu,latu,taux,lon,lat);
[X,Y,TAUY] = griddata(lonv,latv,tauy,lon,lat);

Vel = sqrt(U.^2 + V.^2);
Vel(~mask)=nan;

%  
%  figure
%  imagesc(tauy), colorbar,
%  return

%  figure(1);clf
if(day==1);
figure_RD(5,8);clf
else
clf
end
set(gcf,...
        'Color',[1 1 1])
a1 = axes('position',[.45 .15 .45 .65]);
axes(a1);
axis('equal');
pcolor(lon,lat,Vel);shading interp; hold on;
%  pcolor(lon,lat,T);shading interp; hold on; caxis(CAXESS);
quiver(lon(a),lat(a),U(a)*sc,V(a)*sc,0,'k');
%quiver(lon(a),lat(a),UBTg(a)*sc,VBTg(a)*sc,0,'k');
%quiver(lon(a),lat(a),UBC(a)*sc,VBC(a)*sc,0,'k');
%  plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');
quiver(-38,-29,1*sc,0,0,'k'); hold on
title(['Maximum Velocity -- Step : ',sprintf('%04g',day)])
colorbar_RD;

a2 = axes('position',[.08 .3 .3 .4]);
axis('equal');  
taux(find(mask==0)) = nan; tauy(find(mask==0)) = nan;
quiver(lon(1:dx2:end,1:dy2:end),lat(1:dx2:end,1:dy2:end),TAUX(1:dx2:end,1:dy2:end)*sc2,TAUY(1:dx2:end,1:dy2:end)*sc,0,'b');
pbaspect([1 0.7 1]); hold on; plot(xlc,ylc,'k','linewidth',2); 
%axis([min(min(lon)) max(max(lon)) min(min(lat)) max(max(lat)) ])
axis([lon_LIM lat_LIM])



saveas(gcf,[dir_out,name],'png')

clear name
