% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS
name = ['sections_',sprintf('%04g',day),'_T_1'];
tit = ['Ocean time - ',sprintf('%04g',day)];

disp(' ')
disp(' ')
disp(['  - printing file "',name,'"'])

CAX2 = [14 25;35 36.5;-1 1];
CAX2 = CAX2(va,:);
titcb(1).cb = '^oC';titcb(2).cb = ' ';titcb(3).cb = 'm/s';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T   =  squeeze(t(depth,:,:));f=find(T==0); T(f)=NaN; 

if(day==DAY(1))
 
  figure(100)
  contourf(lon,lat,T,ltemp);shading flat; hold on; caxis([18 26]);
  plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');
  title('Enter the section postition')

   %x_sec = [lon(130,45) lon(130,end)];
   %y_sec = [lat(130,45) lat(130,end)];
%   x_sec = [-43.2772 -40.3070];
%   y_sec = [-24.1923 -24.7898];

%	Posição 1 + day = 1;

%	Posição 1 ,day 3; 14:57;

if day==1 
x_sec = [-(42 +3.626/60) -(42 + 3.9473/60)];
y_sec = [-(22 +59.2/60) -(22 +58.5051/60)];

elseif(day==75)

x_sec(1,:) = [-(42 +1.4927/60) -(42 + 1.4025/60)];
y_sec(1,:) = [-(22 +59.872/60) -(23 +0.0192/60)];

x_sec(2,:) = [-(42 +1.6304/60) -(42 + 1.4045/60)];
y_sec(2,:) = [-(23 +0.1916/60) -(23 +0.0196/60)];

x_sec(3,:) = [-(42 +1.6693/60) -(42 + 1.4043/60)];
y_sec(3,:) = [-(23 +0.2247/60) -(23 +0.0196/60)];

x_sec(4,:) = [-(42 +1.9751/60) -(42 + 1.4043/60)];
y_sec(4,:) = [-(23 +0.2182/60) -(23 +0.02/60)];

x_sec(5,:) = [-(42 +2.1074/60) -(42 + 1.4043/60)];
y_sec(5,:) = [-(23 +0.3763/60) -(23 +0.0208/60)];

x_sec(6,:) = [-(42 +2.0737/60) -(42 + 1.4053/60)];
y_sec(6,:) = [-(23 +0.647/60) -(23 +0.0179/60)];

x_sec(7,:) = [-(42 +2.5534/60) -(42 + 1.4053/60)];
y_sec(7,:) = [-(23 +0.3694/60) -(23 +0.0182/60)];

x_sec(8,:) = [-(42 +2.3239/60) -(42 + 1.4038/60)];
y_sec(8,:) = [-(23 +0.5625/60) -(23 +0.0182/60)];

end

%  [x_sec,y_sec]=ginput(2);
   

  plot([x_sec(1) x_sec(2)],[y_sec(1) y_sec(2)],'k-','linewidth',2);
  drawnow

  pause(5)

  close Figure 100
  
end

X_sec = x_sec;
Y_sec = y_sec;

[m,n]=size(X_sec);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	CALCULANDO AS SECOES

for sc=1:m

name = ['secao_dia_',sprintf('%04g',day),'_sec_',sprintf('%02g',sc),'_SOUND']

x_sec = X_sec(sc,:);
y_sec = Y_sec(sc,:);

dist = sw_dist(x_sec,y_sec,'km');

x_sec = linspace(x_sec(1),x_sec(2),100);
y_sec = linspace(y_sec(1),y_sec(2),100);

dist = linspace(0,dist,100);

disp(' ')
disp(' - Interpolating to the section path ...')

for k=1:depth

    XX(k,:) = dist;

    if(va==1)
    Tsec(k,:) = griddata(lon,lat,squeeze(t(k,:,:)),x_sec,y_sec);
    
    Ssec(k,:) = griddata(lon,lat,squeeze(s(k,:,:)),x_sec,y_sec);
    elseif(va==3)
    
    vsec = griddata(lonv,latv,squeeze(v(k,:,:)),x_sec,y_sec);
    usec = griddata(lonu,latu,squeeze(u(k,:,:)),x_sec,y_sec);
    Vel = (vsec./abs(vsec)).*sqrt(usec.^2 + vsec.^2);
      
    VARsec(k,:) = Vel;
    end
    
    Zsec(k,:) = griddata(lon,lat,squeeze(zt(k,:,:)),x_sec,y_sec);

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	PLOTANDO


SOUND = sw_svel(Ssec,Tsec,-Zsec);

figure(200),clf
set(gcf,'visible','off')

set(gcf,...
	    'Color',[1 1 1])
    a1 = axes; a2 = axes; 
    colormap(jet)
    axes(a1) 
    set(gcf,'visible','off')
    pcolor(lon,lat,T);shading interp;hold on;caxis([18 26])
    a=colorbar;b=get(a,'position');
    plot(xlc,ylc,'k');
    title(a,'^oC')
    set(gca,'color','w');    
    set(gca,'position',[0.05 .69 .3 .3],'fontsize',6)
    set(a,'position',[0.41 .69 .01 .1],'fontsize',6);
    plot(x_sec,y_sec,'k','linewidth',.8)
    
    freezecolors
    

    
    
    axes(a2);
    if(va==3)
    load BlWhRe_colormap
    colormap(BlWhRe_colormap)
    end
    set(gcf,'visible','off')
%      pcolor(XX,Zsec,VARsec),shading interp, caxis(CAX2)
    contourf(XX,Zsec,SOUND,50), shading flat, %caxis(CAX2)
%      ylim([nanmin(-h(:)) 0])
    ylim([-40 0])
    cb=colorbar;
    set(cb,'position',[.92 .08 .01 .3],'fontsize',6)
    set(gca,'position',[0.17 0.08 .7 .55],'fontsize',6)
    title(cb,'m/s')
    xlabel('Distance (km)');ylabel('Depth (m)')
    title(tit)

saveas(gcf,[dir_out,name],'png')

save([dir_out,name],'SOUND','XX','Zsec','x_sec','y_sec')

end

