% PLOT FANCY
%
% Criado por Ricardo M. Domingues, em 24/09/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CONTROL PARAMETERS
clc;clear all;close all;warning off

VEC_PLOT = 0;%----------------------control vector plot;
DAY = 2:2:14%----------------------------periodo para o plot;
depth = 40;%-------------------------profundidadade de interesse
TEXTO = 'TSM | ';
TITLECB = '^oC';%-------------------unidade para a colorbar
lon_LIM = [-50 -34];%---------------limite de lon
lat_LIM = [-31 -18];%---------------limite de lat
CAX = [18 26];%---------------------caxis
ISOB = [-200 -1000];%---------------isobátas
DATA_ini = [2006,7,23];%------------data inicial do plot
FIGOUT = 'TSM_';

file = 'FM_BC_RIC_avg_diag6_PROG.nc';%FM_BC_RIC_avg_diag6_FIX_cSSH.nc'
grid = 'frente_grd.nc';

load ETOPO_REMO_BR
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PLOTANDO

dx=3;dy=dx;sc=0.2;

%------------------------lendo o grid
    ncg = netcdf(grid);
    gfile   = grid;
    lon   = ncg{'lon_rho'}(:);
    lat   = ncg{'lat_rho'}(:);
    lonu  = ncg{'lon_u'}(:);
    latu  = ncg{'lat_u'}(:);
    lonv  = ncg{'lon_v'}(:);
    latv  = ncg{'lat_v'}(:);
    h     = ncg{'h'}(:);

    nci = netcdf(file);
    mask  = nci{'mask_rho'}(:);
    TETA =  nci{'angle'}(:,:);

    a=zeros(size(lon));a(1:dx:end,1:dy:end)=1;
    a(~mask)=0;a=logical(a);
    [im,jm] = size(h);
for day=DAY

    %------------------------data
    data = sprintf('%02g/%02g/%04g',DATA_ini(3)+day/2,DATA_ini(2),DATA_ini(1));
    
    %------------------------lendo os parametros
    t   =  nci{'temp'}(day,:,:,:);
    s   =  nci{'salt'}(day,:,:,:);
    eta =  nci{'zeta'}(day,:,:);
    T   =  squeeze(t(depth,:,:));T(~mask)=nan;
    S   =  squeeze(s(depth,:,:));S(~mask)=nan;
    ETA =  squeeze(eta(:,:));ETA(~mask)=nan;

    if VEC_PLOT
    u   =  nci{'u'}(day,:,:,:);
    v   =  nci{'v'}(day,:,:,:);
    ub  =  nci{'ubar'}(day,:,:);
    vb  =  nci{'vbar'}(day,:,:);
    uu  =  squeeze(u(depth,:,:));
    vv  =  squeeze(v(depth,:,:));
    ubt =  squeeze(ub(:,:));
    vbt =  squeeze(vb(:,:));
%      taux = nci{'sustr'}(day,:,:);
%      tauy = nci{'svstr'}(day,:,:);
    
    %----------------------- Girando os vetores
    [X,Y,U] = griddata(lonu,latu,uu,lon,lat);
    [X,Y,V] = griddata(lonv,latv,vv,lon,lat);

       for j=1:jm
       for i=1:im
        UU(i,j)=U(i,j)*cos(TETA(i,j))-V(i,j)*sin(TETA(i,j));
        VV(i,j)=U(i,j)*sin(TETA(i,j))+V(i,j)*cos(TETA(i,j));
       end
       end
    U=UU; V=VV;
    clear UU VV;
    end
    %-------------------------PLOT FANCY
    figure(1)
    m_proj('merc','longitudes',lon_LIM,'latitudes',lat_LIM); hold on
    m_pcolor(lon,lat,T), shading interp, caxis(CAX),cb = colorbar;
    m_gshhs_h('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
    m_contour(x,y,z,ISOB,'--','color',[0.99 0.99 0.99]);
    m_grid('box','fancy','fontsize',7)
    pos=get(cb,'position');
    set(cb,'position',[pos(1)-0.06 pos(2)+0.05 0.02 0.3]);
    title([TEXTO,data])
    title(cb,TITLECB,'fontsize',8)
    m_text(-45,-11.7,data,'color',[.99 .99 .99]);
    
    if VEC_PLOT, m_quiver(lon(a),lat(a),U(a)*sc,V(a)*sc,0,'k');end
    
    figout = [FIGOUT,num2str(day)];
    print('-dpng','-r200',figout);
    clf

end    
