function plot_fancy_ROMS(grid,file,timePL,outfig,CAX,DEPT,VEC_PLOT,TEXTIN,TSIZE,CBPLOT,DVEC);

% PLOT FANCY
%
% Criado por Ricardo M. Domingues, em 24/09/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CONTROL PARAMETERS

if(~exist('VEC_PLOT'))
	VEC_PLOT = 1;%----------------------control vector plot;
end

if(~exist('TSIZE'))
	TSIZE = 10;%----------------------control vector plot;
end

if(~exist('CBPLOT'))
	CBPLOT = 1;%----------------------control cb plot
end

if(~exist('DVEC'))
	DVEC = 3;%---------------------- vector spacing
end


DAY = timePL;%----------------------------periodo para o plot;
%  depth = 40;%-------------------------profundidadade de interesse
TITLECB = '^oC';%-------------------unidade para a colorbar

%  file = 'FM_BC_his_2.nc'
%  grid = 'mesoscale_grd.nc';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LENDO OS INPUTS

dx=DVEC;dy=dx;sc=1;
%sc=8;
%------------------------lendo o grid
    ncg = netcdf(grid);
    gfile   = grid;
    lon   = ncg{'lon_rho'}(:);
    lat   = ncg{'lat_rho'}(:);
    lonu  = ncg{'lon_u'}(:);
    latu  = ncg{'lat_u'}(:);
    lonv  = ncg{'lon_v'}(:);
    latv  = ncg{'lat_v'}(:);
    h     = ncg{'h'}(:);

    nci = netcdf(file);
    mask  = nci{'mask_rho'}(:);
    TETA =  nci{'angle'}(:,:);

    a=zeros(size(lon));a(1:dx:end,1:dy:end)=1;
    a(~mask)=0;a=logical(a);
    [im,jm] = size(h);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PLOTANDO

RNG_LON = range(lon(:));
RNG_LAT = range(lat(:));

lon_LIM = [round(nanmin(lon(:))-RNG_LON*.02) round(nanmax(lon(:))+RNG_LON*.02)];%---------------limite de lon
lat_LIM = [round(nanmin(lat(:))-RNG_LAT*.02) round(nanmax(lat(:))+RNG_LAT*.02)];%---------------limite de lon

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PLOTANDO


for day=DAY

   
    %------------------------lendo os parametros
    t   =  nci{'temp'}(day,:,:,:);
    s   =  nci{'salt'}(day,:,:,:);
    eta =  nci{'zeta'}(day,:,:);

    [surfa,m,n]=size(t);
    if(~exist('DEPT'))
	depth = surfa;%----------------------control vector plot;
    else
	depth=DEPT;
    end

    T   =  squeeze(t(depth,:,:));T(~mask)=nan;
    S   =  squeeze(s(depth,:,:));S(~mask)=nan;
    ETA =  squeeze(eta(:,:));ETA(~mask)=nan;

    if VEC_PLOT
    u   =  nci{'u'}(day,:,:,:);
    v   =  nci{'v'}(day,:,:,:);
    ub  =  nci{'ubar'}(day,:,:);
    vb  =  nci{'vbar'}(day,:,:);
    uu  =  squeeze(u(depth,:,:));
    vv  =  squeeze(v(depth,:,:));
    ubt =  squeeze(ub(:,:));
    vbt =  squeeze(vb(:,:));
%      taux = nci{'sustr'}(day,:,:);
%      tauy = nci{'svstr'}(day,:,:);
    
    %----------------------- Girando os vetores
    [X,Y,U] = griddata(lonu,latu,uu,lon,lat);
    [X,Y,V] = griddata(lonv,latv,vv,lon,lat);

       for j=1:jm
       for i=1:im
        UU(i,j)=U(i,j)*cos(TETA(i,j))-V(i,j)*sin(TETA(i,j));
        VV(i,j)=U(i,j)*sin(TETA(i,j))+V(i,j)*cos(TETA(i,j));
       end
       end
    U=UU; V=VV;

    clear UU VV;
    end



    %-------------------------PLOT FANCY
%      figure_RD,clf

    m_proj('merc','longitudes',lon_LIM,'latitudes',lat_LIM); hold on
    m_pcolor(lon,lat,T), shading interp, caxis(CAX),
    m_gshhs_i('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
    m_grid('box','fancy','fontsize',TSIZE)

    if VEC_PLOT
    h1=m_quiver(lon(a),lat(a),U(a)*sc,V(a)*sc,0,'k','filled');
    h= m_quiver(lon_LIM(1)+RNG_LON*.1,lat_LIM(2)-RNG_LAT*.1,1*sc,0.001,0,'color',[.99 .99 .99],'linewidth',1,'MaxHeadSize',.8);
    m_text(lon_LIM(1)+RNG_LON*.15,lat_LIM(2)-RNG_LAT*.1,'\bf 1 m/s','color',[.99 .99 .99],'fontsize',TSIZE);
    end
    
    if(exist('TEXTIN'))
    	m_text(lon_LIM(1)+RNG_LON*.1,lat_LIM(2)-RNG_LAT*.2,['\bf ',TEXTIN],'color',[.99 .99 .99],'fontsize',TSIZE);
    end
   
    if CBPLOT
    	colorbar_RD(TITLECB,1,0.06,TSIZE)
    end    
%      figout = [FIGOUT,num2str(day)];
    print('-dpng','-r200',outfig);

end    
