% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS
name = ['vel_temp_',sprintf('%04g',day)];

disp(' ')
disp(' ')
disp(['  - printing file "',name,'"'])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[im,jm] = size(h); kb=25;

T   =  squeeze(t(depth,:,:));
S   =  squeeze(s(depth,:,:));
uu  =  squeeze(u(depth,:,:));
vv  =  squeeze(v(depth,:,:));

ubt =  squeeze(ub(:,:));
vbt =  squeeze(vb(:,:));
ETA =  squeeze(eta(:,:));
%plot(lon(sec,:),lat(sec,:),'.')
f=find(T==0); T(f)=NaN; T(f)=NaN;

[X,Y,U] = griddata(lonu,latu,uu,lon,lat);
[X,Y,V] = griddata(lonv,latv,vv,lon,lat);

%       Girando os vetores para plotar no GMT
       
       for j=1:jm
       for i=1:im
        UU(i,j)=U(i,j)*cos(TETA(i,j))-V(i,j)*sin(TETA(i,j));
        VV(i,j)=U(i,j)*sin(TETA(i,j))+V(i,j)*cos(TETA(i,j));
       end
       end
[X,Y,UBT] = griddata(lonu,latu,ubt,lon,lat);
[X,Y,VBT] = griddata(lonv,latv,vbt,lon,lat);

       for j=1:jm
       for i=1:im
        UBTg(i,j)=UBT(i,j)*cos(TETA(i,j))-VBT(i,j)*sin(TETA(i,j));
        VBTg(i,j)=UBT(i,j)*sin(TETA(i,j))+VBT(i,j)*cos(TETA(i,j));
       end
       end



U=UU; V=VV;
clear UU VV;

UBC = U - UBTg;
VBC = V - VBTg;
% -------------------------------------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Mascarando valores de T menores que 16  e de eta menores -0.3 
T(find(T<=16))=16;
ETA(find(ETA<=-0.3))=-0.3;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
a=zeros(size(lon));a(1:dx:end,1:dy:end)=1;aux=find(V==0);
a(aux)=0;a=logical(a);
% simple coastline
%%%-----------------------------------------------------------------------------

figure(1);clf
set(gcf,...
        'Color',[1 1 1])
a1 = axes; a2 = axes; 
axes(a1)    
contourf(lon,lat,T,ltemp);shading flat; hold on; caxis([16 28]);
pbaspect([1 0.7 1]);
quiver(lon(a),lat(a),U(a)*sc,V(a)*sc,0,'k');
plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');
title(['Total Velocity and Temperature at surface -- Step : ',sprintf('%04g',day)])

pos=get(gca,'Position');
cb = colorbar('horiz');p_cb=get(cb,'Position');
set(cb,'Position',[p_cb(1)+.3 p_cb(2)+.6 .25*p_cb(3) .01]); 
set(gca,'Position',pos);

axes(a2);
taux(find(mask==0)) = nan; tauy(find(mask==0)) = nan;
quiver(lon(1:dx2:end,1:dy2:end),lat(1:dx2:end,1:dy2:end),taux(1:dx2:end,1:dy2:end)*sc2,tauy(1:dx2:end,1:dy2:end)*sc2,0,'b');
pbaspect([1 0.7 1]); hold on; plot(xlc,ylc,'k','linewidth',2); 
%axis([min(min(lon)) max(max(lon)) min(min(lat)) max(max(lat)) ])
axis([-43.5 -41 -24 -22])
set(a2,'OuterPosition',[-0.2 0.64 0.93 0.25])


saveas(gcf,[dir_out,name],'png')

clear name
