% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS
name = ['sections_',sprintf('%04g',day)];
tit = ['Ocean time - ',sprintf('%04g',day)];

disp(' ')
disp(' ')
disp(['  - printing file "',name,'"'])

CAX2 = [5 28;34.5 36.5;-.2 .2];
CAX2 = CAX2(va,:);
titcb(1).cb = '^oC';titcb(2).cb = ' ';titcb(3).cb = 'm/s';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T   =  squeeze(t(depth,:,:));f=find(T==0); T(f)=NaN; 

%  if(day==DAY(1))
if(day==1)
 
  figure(100)
  contourf(lon,lat,T,ltemp);shading flat; hold on; caxis([18 28]);
  plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');
  title('Enter the section postition')

  [x_sec,y_sec]=ginput(2);
  
  dist = sw_dist(x_sec,y_sec,'km');
  dist = linspace(0,dist,100);

  plot([x_sec(1) x_sec(2)],[y_sec(1) y_sec(2)],'k-','linewidth',2);
  drawnow

  pause(5)

  close Figure 100


  x_sec = linspace(x_sec(1),x_sec(2),100);
  y_sec = linspace(y_sec(1),y_sec(2),100);
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	CALCULANDO AS SECOES

disp(' ')
disp(' - Interpolating to the section path ...')

for k=1:depth

    XX(k,:) = dist;

    if(va==1)
    VARsec(k,:) = griddata(lon,lat,squeeze(t(k,:,:)),x_sec,y_sec);
    elseif(va==2)
    VARsec(k,:) = griddata(lon,lat,squeeze(s(k,:,:)),x_sec,y_sec);
    elseif(va==3)
    
    vsec = griddata(lonv,latv,squeeze(v(k,:,:)),x_sec,y_sec);
    usec = griddata(lonu,latu,squeeze(u(k,:,:)),x_sec,y_sec);
    Vel = (vsec./abs(vsec)).*sqrt(usec.^2 + vsec.^2);
      
    VARsec(k,:) = Vel;
    end
    
    Zsec(k,:) = griddata(lon,lat,squeeze(zt(:,:,k)),x_sec,y_sec);

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	PLOTANDO


figure(200)
set(gcf,'visible','off')

set(gcf,...
	    'Color',[1 1 1])
    a1 = axes; a2 = axes; 
    colormap(jet)
    axes(a1) 
    set(gcf,'visible','off')
    pcolor(lon,lat,T);shading interp;hold on;caxis([18 28])
    a=colorbar;b=get(a,'position');
    plot(xlc,ylc,'k');
    title(a,'^oC')
    set(gca,'color','w');    
    set(gca,'position',[0.05 .69 .3 .3],'fontsize',6)
    set(a,'position',[0.41 .69 .01 .1],'fontsize',6);
    plot(x_sec,y_sec,'k','linewidth',.8)
    
    freezecolors
    
    
    axes(a2);
    if(va==3)
    load BlWhRe_colormap
    colormap(BlWhRe_colormap)
    end
    set(gcf,'visible','off')
    pcolor(XX,Zsec,VARsec),shading flat, caxis(CAX2)
%      contourf(XX,Zsec,VARsec,50),shading flat, caxis(CAX2)
%      ylim([nanmin(-h(:)) 0])
%      ylim([max(h(:))*-1 0])
%      ylim([-1000 0])
    
    cb=colorbar;
    set(cb,'position',[.92 .08 .01 .3],'fontsize',6)
    set(gca,'position',[0.17 0.08 .7 .55],'fontsize',6)
    title(cb,titcb(va).cb)
    xlabel('Distance (km)');ylabel('Depth (m)')
    title(tit)

saveas(gcf,[dir_out,name],'png')

save([dir_out,name],'VARsec','XX','Zsec','x_sec','y_sec')

clf


