% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% FAST VISUALIZATION PLOTS
name = ['SSH_',sprintf('%04g',day)];

disp(' ')
disp(' ')
disp(['  - printing file "',name,'"'])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[im,jm] = size(h); kb=25;

ETA =  squeeze(eta(:,:));
T   =  squeeze(t(depth,:,:));
f=find(T==0);ETA(f)=nan;

figure(1);clf
set(1,'visible','off')

set(gcf,...
        'Color',[1 1 1])
a1 = axes; a2 = axes; 
axes(a1)
set(1,'visible','off')
axis('equal')
pcolor(lon,lat,ETA);shading interp; hold on; 
plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');caxis([-.7 .7])
title(['Sea Surface Elevation-- Step : ',sprintf('%04g',day)])

pos=get(gca,'Position');
cb = colorbar('horiz');p_cb=get(cb,'Position');
set(cb,'Position',[p_cb(1)+.28 p_cb(2)+.73 .20*p_cb(3) .01]);
set(gca,'Position',pos);

axes(a2);
set(1,'visible','off')
axis('equal')  
%taux(find(mask==0)) = nan; tauy(find(mask==0)) = nan;
%quiver(lon(1:dx2:end,1:dy2:end),lat(1:dx2:end,1:dy2:end),taux(1:dx2:end,1:dy2:end)*sc2,tauy(1:dx2:end,1:dy2:end)*sc2,0,'b');
pbaspect([1 0.7 1]); hold on; plot(xlc,ylc,'k','linewidth',2); 
%axis([min(min(lon)) max(max(lon)) min(min(lat)) max(max(lat)) ])
axis([-43.5 -41 -24 -22])
set(a2,'OuterPosition',[-0.2 0.64 0.93 0.25])


saveas(gcf,[dir_out,name],'png')

clear name
