%Programa para salvar o output do ROMS em formato nc para o campo superficial
%
% Criado por Ricardo M. Domingues
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc;clear all; close all

DEPTH = 40;% Superficie
outfile = 'frente6_PROG_surface_daily.nc';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
path = input(' - Entre com o caminho completo para os outputs do modelo >> ','s');
cd(path)

[inifile,path] = uigetfile(['*avg*.nc'],' Pick a INI File ');

  time_ini = input(' - Entre com o tempo inicial >> ');
  nc_ini = netcdf(inifile);
  t_ini   =  squeeze(nc_ini{'temp'}(time_ini,DEPTH,:,:));
  s_ini   =  squeeze(nc_ini{'salt'}(time_ini,DEPTH,:,:));

[modelfile,path] = uigetfile(['*avg*.nc'],' Pick a Model Output File ');

[grdfile,path] = uigetfile(['*grd*.nc'],' Pick a Grid File ');

%------------------------lendo o grid
    ncg = netcdf(grdfile);
    lon   = ncg{'lon_rho'}(:);
    lat   = ncg{'lat_rho'}(:);
    h     = ncg{'h'}(:);[Mp,Lp]=size(h);

    nci = netcdf(modelfile);
    mask  = nci{'mask_rho'}(:);

%------------------------lendo os parametros
    t   =  squeeze(nci{'temp'}(:,DEPTH,:,:));
    s   =  squeeze(nci{'salt'}(:,DEPTH,:,:));

[rtime,Mp,Lp]=size(t);

i=1;
T(i,:,:)   =  t_ini;
S(i,:,:)   =  s_ini;
for k=2:2:rtime %-----------------salva a cada 24 hrs
    i=i+1;
    T(i,:,:)   =  squeeze(t(k,:,:));
    S(i,:,:)   =  squeeze(s(k,:,:));
end

[rtime,Mp,Lp]=size(T);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	ESCREVENDO O NETCDF


time=rtime;

ncclm = netcdf(outfile,'clobber');
result = redef(ncclm);

ncclm('xi_rho') = Lp;ncclm('eta_rho') = Mp;
ncclm('temp_time') = time; ncclm('salt_time')=time;

ncclm{'temp_time'} = ncdouble('temp_time') ;
ncclm{'temp'} = ncdouble('temp_time','eta_rho','xi_rho') ;

ncclm{'salt_time'} = ncdouble('salt_time') ;
ncclm{'salt'} = ncdouble('temp_time','eta_rho','xi_rho') ;

ncclm{'lon'} = ncdouble('eta_rho','xi_rho') ;
ncclm{'lat'} = ncdouble('eta_rho','xi_rho') ;

theVar = ncclm{'temp'};theVar(:) =  0; 
theVar = ncclm{'salt'};theVar(:) =  0; 
theVar = ncclm{'lon'};theVar(:) =  0; 
theVar = ncclm{'lat'};theVar(:) =  0; 

result = sync(	ncclm);

%-----------------escrevendo as variáveis no arquivo

clm_nc=netcdf(outfile,'write');
clm_nc{'temp'}(:)=T;
clm_nc{'salt'}(:)=S;
clm_nc{'lon'}(:)=lon;
clm_nc{'lat'}(:)=lat;

result=close(clm_nc); 